petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsGetEnumArray

Gets an array of enum values for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetEnumArray(PetscOptions options,const char pre[],const char name[],const char *const *list,PetscEnum ivalue[],PetscInt *nmax,PetscBool *set)

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - option prefix or NULL
| name | - option name
| list | - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null
| nmax | - maximum number of values to retrieve

### Output Parameters

| ivalue | - the enum values to return
| nmax | - actual number of values retreived
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The array must be passed as a comma separated list.

There must be no intervening spaces between the values.

list is usually something like PCASMTypes or some other predefined list of enum names.

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetEnum(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList(), PetscOptionsGetEList(), PetscOptionsEnum()

### Level

beginner

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages